:root {
	--cell-size: 15px;
}

.show {
	display: block !important;
}

.hide {
	display: none;
}

.w { /* wall */
	background-color: darkgray;
}

.p { /* path */
	background-color: white;
}

.c { /* carrot */
	background-color: orange;
}

.d { /* carrot traced over */
	background-color:black;
}

.t { /* trail forward tracking */
	background-color:blue;
}

.u { /* trail backward tracking */
	background-color: green;
}

.s { /* search */
	background-color: red;
}

.forward {
	color: blue;
}

.backward {
	color: green;
}

.icon {
	display: inline-block;
	width: var(--cell-size);
	height: var(--cell-size);
	vertical-align: middle;
	margin: 0 5px;
}

#maze-controls {
	display: flex;
	flex-direction: row;
	flex-wrap: nowrap;
	justify-content: flex-start;
	align-items: stretch;
	align-content: flex-start;
	background-color: #3f3f3f;
}

#maze-controls > .field {
	position: relative;
}

#maze-controls h1 {
	width: 100%;
	height: 100%;
	margin: 0;
	padding: 0 20px;
	font-size: 1.4rem;
	font-weight: bold;
	line-height: 2;
	color: #fff;
}

#maze-controls button {
	width: 100%;
	height: 100%;
	padding: 0 20px;
	border: none;
	font-size: 1.1rem;
	font-weight: bold;
	color: #ccc;
	background-color: transparent;
}

#maze-controls button:hover {
	color: #fff !important;
	background-color: #ff6600;
}

#maze-controls ul {
	width: 100%;
	margin: 0;
	padding: 0;
	position: absolute;
	left: 0;
	top: 100%;
	z-index: 10;
	list-style-type: none;
}

#maze-controls li {
	width: 100%;
	margin: 0;
	padding: 0;
	font-size: 1.2em;
	list-style-type: none;
}

#maze-controls a {
	display: block;
	width: 100%;
	padding: 10px 20px;
	color: #ccc !important;
	background-color: #3f3f3f;
}

#maze-controls a:hover,
#maze-controls a.selected {
	background-color: #ff6600;
	color: #fff !important;
}

#maze-container table {
	box-sizing: content-box;
	margin: 0 auto;
	border-collapse: collapse;
	border-spacing: 0;
}

#maze-container tr,
#maze-container td {
	box-sizing: content-box;
	border-collapse: collapse;
}

#maze-container td {
	width: var(--cell-size);
	height: var(--cell-size);
	margin: 0;
	padding: 0;
	border: 1px solid #eee;
	font-size: 0.7em;
}

#maze-status {
	display: flex;
	flex-direction: row;
	flex-wrap: nowrap;
	justify-content: space-between;
	align-items: stretch;
	align-content: flex-start;
	background-color: #3f3f3f;
}

#maze-status > p {
	margin: 0;
	padding: 10px;
	font-size: 1rem;
	color: #fff;
}

#maze-status > p:nth-child(1) {
	width: 70%;
	text-align: left;
}

#maze-status > p:nth-child(2) {
	width: 29%;
	text-align: right
}

#maze-animation {
	width: 600px;
	position: absolute;
	left: 0;
	top: 0;
}

#maze-animation > h3 {
	width: 100%;
	margin: 0;
	padding: 10px;
	font-size: 1.1rem;
	font-weight: bold;
	text-align: center;
	background-color: black;
	color: white;
}
#maze-animation > table {
	width: 100%;
}
#maze-animation > table th,
#maze-animation > table td {
	width: 16%;
	padding: 5px 2px;
	border: 1px solid black;
	font-size: 1rem;
	font-weight: bold;
	text-align: center;
}